<?php include("includes/session.php");?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
	<title>Регистрация</title>
<?php
include("fhd_config.php");
include("includes/header.php");
include("includes/ez_sql_core.php");
include("includes/ez_sql_mysqli.php");
include("includes/functions.php");
//initilize db
$db = new ezSQL_mysqli(db_user,db_password,db_name,db_host); 
$db->query("SET NAMES 'utf8'");

if (ALLOW_REGISTER <> "yes"){
	echo "<p>Самостоятельная регистрация новых пользователей запрещена</p>";
	include("includes/footer.php");
	exit;
	}

if (CAPTCHA_REGISTER == "yes"){
$captchasession = $_SESSION['captcha']['code'];
$captcha = $db->escape(trim($_POST['captcha']));
	if(strtoupper($captchasession) <> strtoupper($captcha)) {
	echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Неверно введен код с картинки.</div>";
	include("includes/footer.php");
	exit;
	}
}

//IP and DATE field
$ip = $_SERVER['REMOTE_ADDR'];


//EMAIL address
$email = $db->escape(trim($_POST['email']));

if( !filter_var($email, FILTER_VALIDATE_EMAIL) ) {
	echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Вы ввели неправильный e-mail адрес.</div>";
	include("includes/footer.php");
	exit;
}

if ($email) {
	//check if email already exists.
	$num = $db->get_var("select count(user_email) from site_users where user_email = '$email';");
		if ($num > 0) {
			echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Пользователь с таким e-mail уже зарегистрирован в системе.</div>";
			include("includes/footer.php");
			exit;
		}
}else {
	echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Пожалуйста перепроверте адрес e-mail.</div>";
	include("includes/footer.php");
	exit;
}

//NAME FIELD
$name = $db->escape(trim(strip_tags($_POST['name'])));
	$strlen = (strlen($name));
	if ($strlen < 3) {
		echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Имя не может быть короче трех символов.</div>";
		include("includes/footer.php");
    	exit;
		}

//LOGIN NAME FIELD
$login = $db->escape(trim(strip_tags($_POST['login'])));
	//make sure search length is at least 15 chars.
	$strlen = (strlen($login));
	if ($strlen < 3) {
		echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Логин не может быть короче трех символов.</div>";
		include("includes/footer.php");
    	exit;
		}
	//check if login name is unique.
	$num = $db->get_var("select count(user_login) from site_users where user_login = '$login';");
		if ($num > 0) {
			echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Пользователь с таким логином уже зарегистрирован в системе.</div>";
			include("includes/footer.php");
			exit;
		}

//PASSWORD FIELD
$password = $db->escape(trim(strip_tags($_POST['password'])));
if ($password) {
	$passwordlength = strlen($password);
	if($passwordlength >= 5){
		$user_password = makepwd( trim( $db->escape( $password ) ) );
	} else {
		echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Пароль не может быть короче пяти символов.</div>";
		include("includes/footer.php");
		exit;
	}
}

//NAME COMPANY
$company = $db->escape(trim(strip_tags($_POST['company'])));
	$strlen = (strlen($company));
	if ($strlen < 3) {
		echo "<div class=\"alert alert-danger\" style=\"max-width: 350px;\">Организация не может быть короче трех символов.</div>";
		include("includes/footer.php");
    	exit;
		}

//pending
if (REGISTER_APPROVAL == "yes"){
	$user_pending = 1;
	}else{
	$user_pending = 0;
}

//user_msg_send
$user_msg_send = 1;

$query = "INSERT into site_users(user_login,user_email,user_name,user_password,user_company,last_ip,user_status,user_level,user_pending,user_msg_send)VALUES('$login','$email','$name','$user_password','$company','$ip',1,1,$user_pending,$user_msg_send);";
$db->query($query);
//notify admin
$mail = new Mail;
$mail->From(FROM_EMAIL);
$mail->To(TO_EMAIL);
$mail->Subject(FHD_TITLE . ' Новая регистрация пользователя');
// message
$mail->Body('
<html>
<head>
  <title>Новая регистрация пользователя</title>
</head>
<body>
  <p>Был зарегистрирован новый пользователь</p>
  <p>Имя: ' . $name . '</p>
  <p>Логин: ' . $login . '</p>
  <p>e-mail: ' .  $email. '</p>
  <hr><a href=' . FHD_PUBLIC_URL . '>Перейти к порталу технической поддержки <strong>' . FHD_TITLE . '</strong></a>            
  </body>
  </html>
', 'html');     
if(USE_SMTP == 'yes'){
    $mail->smtp_on( SMTP_SERVER, SMTP_LOGIN, SMTP_PASSWORD ) ;
}
$mail->Send();
?>

<h3>Вы успешно зарегистрировались</h3>
<?php
    if(REGISTER_APPROVAL == 'yes') { echo  "Вы сможете войти в систему после проверки вашей учетной записи модератором"; }
    else { echo '<h4><a href="index.php">Вход</a></h4>'; }

include("includes/footer.php");